> ## Documentation Index
> Fetch the complete documentation index at: https://agnt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Post

> Get post details



## OpenAPI

````yaml /openapi/linkedin.openapi.json get /v1/data/linkedin/get-post
openapi: 3.0.0
info:
  title: agntdata LinkedIn API
  description: Enrich profile and company data in real-time
  version: 1.0.0
  contact:
    name: agntdata
    url: https://agntdata.dev
servers:
  - url: https://api.agntdata.dev
    description: agntdata API
security:
  - ApiKeyAuth: []
tags:
  - name: Post
    description: ''
  - name: Article API
    description: ''
  - name: Location
    description: ''
  - name: System
    description: ''
  - name: Company
    description: ''
  - name: Profile APIs
    description: ''
  - name: Job APIs
    description: ''
paths:
  /v1/data/linkedin/get-post:
    get:
      tags:
        - Post
      summary: Get Post
      description: Get post details
      operationId: Get_Post
      parameters:
        - name: url
          in: query
          required: true
          schema:
            type: string
            default: >-
              https://www.linkedin.com/feed/update/urn:li:activity:7219434359085252608/
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Get_linkedin_get_post_Response'
              example:
                success: true
                message: ''
                data:
                  isBrandPartnership: false
                  text: >-
                    Fi is continuing to scale revenue so we're growing the
                    Product team. We're looking for a talented Retention PM to
                    help us drive subscription revenue. 


                    Check out the link below if you fit the bill or share with
                    folks in your network who do. Bonus points for dog lovers!
                  totalReactionCount: 123
                  likeCount: 107
                  appreciationCount: 2
                  empathyCount: 4
                  praiseCount: 10
                  commentsCount: 10
                  repostsCount: 13
                  shareUrl: >-
                    https://www.linkedin.com/posts/darrellstone3_fi-senior-product-manager-subscriber-activity-7219379021761916928-RmeH
                  postedAt: 7mo
                  postedDate: 2024-07-17 20:14:41.81 +0000 UTC
                  postedDateTimestamp: 1721247281810
                  urn: '7219434359085252608'
                  shareUrn: '7219379021170569218'
                  author:
                    id: 72453685
                    firstName: Darrell
                    lastName: Stone
                    headline: VP of Product at Fi
                    username: darrellstone3
                    url: https://www.linkedin.com/in/darrellstone3
                    profilePictures:
                      - width: 100
                        height: 100
                        url: >-
                          https://media.licdn.com/dms/image/v2/D4E03AQE9DiKLEuaRBw/profile-displayphoto-shrink_100_100/profile-displayphoto-shrink_100_100/0/1672877997618?e=1745452800&v=beta&t=nXZkXtDvoYcYYl_PQBSjvZ2fZG_LK0_dBplEBKxPerQ
                      - width: 200
                        height: 200
                        url: >-
                          https://media.licdn.com/dms/image/v2/D4E03AQE9DiKLEuaRBw/profile-displayphoto-shrink_200_200/profile-displayphoto-shrink_200_200/0/1672877997618?e=1745452800&v=beta&t=r59DRemhJt0Hs_RCEBSM6EFZJ-k6cE4jKtNpYC1vkV4
                      - width: 400
                        height: 400
                        url: >-
                          https://media.licdn.com/dms/image/v2/D4E03AQE9DiKLEuaRBw/profile-displayphoto-shrink_400_400/profile-displayphoto-shrink_400_400/0/1672877997618?e=1745452800&v=beta&t=BLFbP8scBtwgrBninvBBxEEGfXYlLnoi8YWPa4mFAWc
                      - width: 800
                        height: 800
                        url: >-
                          https://media.licdn.com/dms/image/v2/D4E03AQE9DiKLEuaRBw/profile-displayphoto-shrink_800_800/profile-displayphoto-shrink_800_800/0/1672877997618?e=1745452800&v=beta&t=VcOcVB8b9sTQj5n-6DuobNksVahSbfZZZr_O5qG5WRE
                    urn: ACoAAARRjjUB3H1jzv8Dhulek2yv9xcnUjJLXXA
                  company: {}
                  document: {}
                  celebration: {}
                  poll: {}
                  article:
                    title: Fi - Senior Product Manager - Subscriber Retention
                    subtitle: jobs.lever.co
                    link: >-
                      https://jobs.lever.co/fi/65291b62-069f-4bb4-a36f-908171471c33
                    newsletter: {}
                  entity: {}
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Get_linkedin_get_post_Response:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
          properties:
            isBrandPartnership:
              type: boolean
            text:
              type: string
            totalReactionCount:
              type: integer
            likeCount:
              type: integer
            appreciationCount:
              type: integer
            empathyCount:
              type: integer
            praiseCount:
              type: integer
            commentsCount:
              type: integer
            repostsCount:
              type: integer
            shareUrl:
              type: string
            postedAt:
              type: string
            postedDate:
              type: string
            postedDateTimestamp:
              type: integer
            urn:
              type: string
            shareUrn:
              type: string
            author:
              type: object
              properties:
                id:
                  type: integer
                firstName:
                  type: string
                lastName:
                  type: string
                headline:
                  type: string
                username:
                  type: string
                url:
                  type: string
                profilePictures:
                  type: array
                  items:
                    type: object
                    properties:
                      url:
                        type: string
                      width:
                        type: integer
                      height:
                        type: integer
                urn:
                  type: string
            company:
              type: object
            document:
              type: object
            celebration:
              type: object
            poll:
              type: object
            article:
              type: object
              properties:
                title:
                  type: string
                subtitle:
                  type: string
                link:
                  type: string
                newsletter:
                  type: object
            entity:
              type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Bearer token. Pass your agntdata API key as: Authorization: Bearer
        agnt_live_...

````